package io.renren.modules.admin.dao;

import java.util.List;
import io.renren.modules.admin.entity.AdminMenuEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
/**
 * 管理员菜单管理
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-28 19:20:56
 */
@Mapper
public interface AdminMenuDao extends BaseMapper<AdminMenuEntity> {
	/**
	 * 根据父菜单，查询子菜单
	 * @param parentId 父菜单ID
	 */
	@Select("select * from admin_menu where parent_id = #{parentId} order by order_num asc")
	List<AdminMenuEntity> queryListParentId(Long parentId);
}
