package io.renren.modules.admin.service.impl;

import java.util.Map;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.Query;

import io.renren.modules.admin.dao.LectureDao;
import io.renren.modules.admin.entity.LectureEntity;
import io.renren.modules.admin.service.LectureService;


@Service("lectureService")
public class LectureServiceImpl extends ServiceImpl<LectureDao, LectureEntity> implements LectureService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        String meetingId = (String)params.get("meetingId");
        IPage<LectureEntity> page = this.page(
                new Query<LectureEntity>().getPage(params),
                new QueryWrapper<LectureEntity>().eq(StringUtils.isNotBlank(meetingId),"meeting_id", meetingId)
        );

        return new PageUtils(page);
    }
}