package io.renren.modules.app.controller;

import java.util.Date;
import io.renren.common.utils.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.apache.commons.io.IOUtils;

import io.renren.modules.app.utils.QRCodeUtils;

import javax.imageio.ImageIO;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;
import java.awt.image.BufferedImage;
import java.io.IOException;

/**
 * 二维码测试接口
 *
 * @author Mark sunlightcs@gmail.com
 */
@RestController
@RequestMapping("/app")
@Api("二维码测试接口")
public class QRCodeTest {

    @Autowired
	private QRCodeUtils qRCodeUtils;

    @GetMapping("qcodetest.jpg")
    @ApiOperation("获取二维码图片")
    public void  getCodeImg(HttpServletResponse response, String text)throws IOException {
        response.setHeader("Cache-Control", "no-store, no-cache");
		response.setContentType("image/jpeg");

		//获取图片验证码
		// BufferedImage image = qRCodeUtils.encode(text);

		ServletOutputStream out = response.getOutputStream();
		// ImageIO.write(image, "jpg", out);
		try{
			qRCodeUtils.encode(text, out);
			IOUtils.closeQuietly(out);
		}catch(Exception e){
			e.printStackTrace();
		}
    }

	@GetMapping("qcodetesturl")
    @ApiOperation("获取二维码图片地址")
    public R  getCodeImgUrl(String text)throws IOException {
		String imgpath = "/kexiu/webdata/data/qcode";
                String rpath = "www.ekexiu.com/data/qcode/";
		String imgurl = "";
                try{
		     String file = qRCodeUtils.encode(text, null, imgpath, false);
		     imgurl = rpath+file;
		}catch(Exception e){
			e.printStackTrace();
		}
		return R.ok().put("imgurl", imgurl);
    }
}
