/**
 * Copyright (c) 2016-2019 人人开源 All rights reserved.
 *
 * https://www.renren.io
 *
 * 版权所有，侵权必究！
 */

package io.renren.modules.app.dao;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.renren.modules.app.entity.UserEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

/**
 * 用户
 *
 * @author Mark sunlightcs@gmail.com
 */
@Mapper
public interface UserDao extends BaseMapper<UserEntity> {
    @Select("select p.order_id, p.attenders as attendersId, (select a.name from attenders as a where a.id=p.attenders) as attendersName,  (select a.organization from attenders as a where a.id=p.attenders) as organization, (select tf.name from types_of_fee as tf where tf.id=p.pay_type) as typeName, p.pay_time, (select m.name_cn from meeting as m where m.id=p.meeting_id) as meetingName from payment as p where p.attenders in  (select a.id from attenders as a where a.member_id=#{member_id});")
    List<Map<String, Object>> queryOrderList(Long memberId);
}
