/**
 * Copyright (c) 2016-2019 人人开源 All rights reserved.
 *
 * https://www.renren.io
 *
 * 版权所有，侵权必究！
 */

package io.renren.modules.app.form;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Email;

/**
 * 注册表单
 *
 * @author Mark sunlightcs@gmail.com
 */
@Data
@ApiModel(value = "注册表单")
public class RegisterForm {
    @ApiModelProperty(value = "手机号")
    @NotBlank(message="手机号不能为空")
    private String phone;

    @ApiModelProperty(value = "密码")
    @NotBlank(message="密码不能为空")
    private String password;
    @ApiModelProperty(value = "姓名")
    @NotBlank(message="姓名不能为空")
    private String truename;
    @ApiModelProperty(value = "性别")
	private Integer sex;
    @ApiModelProperty(value = "头像")
	private String titlePic;

    @ApiModelProperty(value = "所属机构")
	private String organization;

    @ApiModelProperty(value = "职位")
	private String position;

    @ApiModelProperty(value = "职称")
	private String jobTitle;

    @ApiModelProperty(value = "邮箱")
	@Email(message="邮箱格式不正确")
	private String email;

}
